> ## Documentation Index
> Fetch the complete documentation index at: https://docs.levelblue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Details

> Retrieves the full details for a single event by its UUID.



## OpenAPI

````yaml /documentation/api-reference/v2.yaml get /events/{eventId}
openapi: 3.0.0
info:
  title: USM Anywhere™ API Reference
  description: >-
    AT&T Cybersecurity publishes REST APIs for USM Anywhere that provide a
    programmatic interface that will allow you to access your data directly from
    your own applications and extensions.
  version: '2.0'
servers:
  - url: https://your-subdomain.alienvault.cloud/api/2.0
    description: USM Anywhere API Server
security:
  - bearerAuth: []
tags:
  - name: Alarms
    description: Endpoints for managing and searching alarm messages.
  - name: Events
    description: Endpoints for managing and searching events.
  - name: OAuth
    description: Endpoint for OAuth 2.0 functionality.
paths:
  /events/{eventId}:
    get:
      tags:
        - Events
      summary: Get Event Details
      description: Retrieves the full details for a single event by its UUID.
      parameters:
        - name: eventId
          in: path
          required: true
          description: The UUID of the event to retrieve.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Event details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
              example:
                uuid: 39a6918f-33f2-ec9b-0fcc-42bb90f10a1f
                account_name: generic-account
                event_name: PutObject
                timestamp_occured: '1528817037000'
                _links:
                  self:
                    href: >-
                      https://mysubdomain.aveng.us/api/2.0/events/39a6918f-33f2-ec9b-0fcc-42bb90f10a1f
        '404':
          description: Event not found.
components:
  schemas:
    Event:
      type: object
      description: >-
        This object contains all information pertaining to an Event. Its
        structure can vary.
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````